## osso-games-startup 1.3.59-0

=== debian/changelog ===
osso-games-startup (1.3.59-0) unstable; urgency=low

  * Fixes: NB#50610 Tap on menu while mahjong is about to start
  * Fixes: NB#51268 After pausing blocks game startup screen doesnt appear

 -- Qi Ouyang <qi.ouyang@nokia.com>  Mon, 12 Feb 2007 10:30:44 +0200

osso-games-startup (1.3.58-0) unstable; urgency=low

  * Fixes: NB#50612 On pressing of play button chess not going to full screen mode
  * Fixes: NB#50625 Chess is not going to main screen after pausing.
  * Fixes: NB#50042 Step from previous game plays when a new game is opened
  * Fixes: NB#48912 Not able to delete chess file from FM.
  * Fixes: NB#48911 Showing info "Not Enough memory in target location" when try to save read-only file.

 -- Qi Ouyang <qi.ouyang@nokia.com>  Mon, 5 Feb 2007 10:30:44 +0200

osso-games-startup (1.3.56-0) unstable; urgency=low

  * Fixes: NB#50193 Save option is dimmed when chess is paused through home hardkey
  * Fixes: NB#49673 In low memory state all the games shows lowmem notification although the game is started

 -- Qi Ouyang <qi.ouyang@nokia.com>  Mon, 22 Jan 2007 10:30:44 +0200

osso-games-startup (1.3.52-0) unstable; urgency=low

  * Fixes: NB#40114 Blocks doesn't show off paused state properly on taping "Exit to menu" option

 -- Qi Ouyang <qi.ouyang@nokia.com>  Mon, 22 Dec 2006 10:30:44 +0200

osso-games-startup (1.3.51-0) unstable; urgency=low

  * Fixes: NB#45861 Opening gateway file from FM gives info " Unable to open."
  * Fixes: NB#45862 Opening gateway file from FM gives info " Unable to open."
  * Fixes: NB#45860 Opening gateway file from FM gives info " Unable to open."

 -- Qi Ouyang <qi.ouyang@nokia.com>  Mon, 18 Dec 2006 10:30:44 +0200

osso-games-startup (1.3.50-2) unstable; urgency=low

  * Fixes: NB#48911 Showing info "Not Enough memory in target location" when try to save read-only file.
  * Fixes: NB#48912 Not able to delete chess file from FM.

 -- Qi Ouyang <qi.ouyang@nokia.com>  Mon, 7 Dec 2006 10:30:44 +0200

osso-games-startup (1.3.50-1) unstable; urgency=low

  * Fixes: NB#49187 Continue button is displayed instead of Play button.
  * Fixes: NB#49185 Device hangs when tapped on continue button.

 -- Qi Ouyang <qi.ouyang@nokia.com>  Mon, 7 Dec 2006 10:30:44 +0200

osso-games-startup (1.3.50-0) unstable; urgency=low

  * Fixes: NB#45887 Logical strings

 -- Qi Ouyang <qi.ouyang@nokia.com>  Mon, 4 Dec 2006 10:30:44 +0200

osso-games-startup (1.3.49-0) unstable; urgency=low

  * Fixes: NB#46003 Short press of home hard key displays the home view

 -- Qi Ouyang <qi.ouyang@nokia.com>  Mon, 4 Dec 2006 10:30:44 +0200

osso-games-startup (1.3.43-0) unstable; urgency=low

  * Fixes: NB#43406 Legal moves are not shown while making moves with HW key in some scenario
  * Fixes: NB#43410 Sound effects not updated properly if HW keys are used to play  the game

 -- Qi Ouyang <qi.ouyang@nokia.com>  Mon, 23 Oct 2006 10:30:44 +0200

osso-games-startup (1.3.42-0) unstable; urgency=low

  * Fixes: NB#42758 Games - Unable to select the check box using select button.

 -- Qi Ouyang <qi.ouyang@nokia.com>  Mon, 9 Oct 2006 10:30:44 +0200

osso-games-startup (1.3.41-0) unstable; urgency=low

  * Fixes: NB#41581 Improper function of fullscreen hardkey ( All games )
  * Fixes: NB#42523 Games folder has moved, changes required from games-startup

 -- Qi Ouyang <qi.ouyang@nokia.com>  Mon, 9 Oct 2006 10:30:44 +0200

osso-games-startup (1.3.40-0) unstable; urgency=low

  * Fixes: NB#41564 osso-games-startup-: Forbidden words

 -- Qi Ouyang <qi.ouyang@nokia.com>  Mon, 18 Sep 2006 10:30:44 +0200

osso-games-startup (1.3.38-0) unstable; urgency=low

  * Fixes: NB#38659 After opening a saved game from filemanager ,game options are dimmed.
  * Fixes: NB#39998 Board selected when the is in game paused mode is not retained.

 -- Qi Ouyang <qi.ouyang@nokia.com>  Mon, 18 Sep 2006 10:30:44 +0200

osso-games-startup (1.3.35-0) unstable; urgency=low

  * Added: Removed unneeded scripts

 -- Qi Ouyang <qi.ouyang@nokia.com>  Mon, 28 Aug 2006 10:30:44 +0200

osso-games-startup (1.3.32-0) unstable; urgency=low

  * Fixes NB#35999 Marbles opens in full screen mode even after closing it

 -- Qi Ouyang <qi.ouyang@nokia.com>  Mon, 24 Jul 2006 10:30:44 +0200

osso-games-startup (1.3.31-0) unstable; urgency=low

  * Fixes NB#33318 osso-games-startup package is depending on hildonbase but doesn't use it

 -- Qi Ouyang <qi.ouyang@nokia.com>  Mon, 24 Jul 2006 10:30:44 +0200

osso-games-startup (1.3.30-0) unstable; urgency=low

  * Fixes: NB#33681 Logical strings are displayed in 'Go to game' dialog box in Maemo Blocks
  * Fixes: NB#33442 Logical strings are displayed in 'Go to game' dialog box in Chess
  * Fixes: NB#32456 Logical strings are displayed in 'Go to game' dialog box in Mahjong
  * Fixes: NB#32460 Logical strings are displayed in 'Go to game' dialog box in Marbles

 -- Qi Ouyang <qi.ouyang@nokia.com>  Mon, 24 Jul 2006 10:30:44 +0200

osso-games-startup (1.2.24-2) unstable; urgency=low

  * Fixed Bugzilla 32347: a minor misalignment  problem with osso-games-launcher

 -- Qi Ouyang <qi.ouyang@nokia.com>  Mon, 7 Jun 2006 10:30:44 +0200

osso-games-startup (1.2.24-1) unstable; urgency=low

  * Adding mime-dev

 -- Qi Ouyang <qi.ouyang@nokia.com>  Mon, 7 Jun 2006 10:30:44 +0200

osso-games-startup (1.2.24-0) unstable; urgency=low

  * Fixed Bugzilla 31751: Device is rebooted when starting the new game in Chess.
  * It can be defined in the games' config file, if the restart dialog is needed or not

 -- Qi Ouyang <qi.ouyang@nokia.com>  Mon, 7 Jun 2006 9:30:44 +0200

osso-games-startup (1.2.23-0) unstable; urgency=low

  * It will call the "make_insensitive" function during restart too
  * Fixed Bugzilla 30840: Full screen hard key does not work second time in Chess
  * Fixed Bugzilla 30989: Select hardkey doesn't function for continuing the chess game

 -- Qi Ouyang <qi.ouyang@nokia.com>  Mon, 5 Jun 2006 9:30:44 +0200

osso-games-startup (1.2.20-0) unstable; urgency=low


