=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1


# These are used for cross-compiling and for saving the configure script
# from having to guess our platform (since we know it already)
DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)


CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif
ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
	INSTALL_PROGRAM += -s
endif
ifneq (,$(findstring maemo-launcher,$(DEB_BUILD_OPTIONS)))
	LAUNCHER = yes
endif

ifeq "$(strip $(LAUNCHER))" "yes"
	LAUNCHER_DEPENDS = -Vlauncher:Depends="maemo-launcher"
	LAUNCHER_CFLAGS = -shared
	LAUNCHER_LDFLAGS = -shared -export-dynamic
endif

config.status: configure
	dh_testdir
	# Add here commands to configure the package.
	CFLAGS="$(CFLAGS)" ./configure --host=$(DEB_HOST_GNU_TYPE) --build=$(DEB_BUILD_GNU_TYPE) --prefix=/usr --mandir=\$${prefix}/share/man --infodir=\$${prefix}/share/info

configure: configure-stamp
configure-stamp:
	dh_testdir
	./autogen.sh
	touch configure-stamp

build: build-stamp

build-stamp:  config.status
	dh_testdir

	# Add here commands to compile the package.
	$(MAKE) \
	  MAEMO_LAUNCHER_CFLAGS="$(LAUNCHER_CFLAGS)" \
	  MAEMO_LAUNCHER_LDFLAGS="$(LAUNCHER_LDFLAGS)"

	#/usr/bin/docbook-to-man debian/osso-games-startup.sgml > osso-games-startup.1

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp 

	# Add here commands to clean up after the build process.
	-$(MAKE) distclean
ifneq "$(wildcard /usr/share/misc/config.sub)" ""
	cp -f /usr/share/misc/config.sub config.sub
endif
ifneq "$(wildcard /usr/share/misc/config.guess)" ""
	cp -f /usr/share/misc/config.guess config.guess
endif


	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_clean -k 
	dh_installdirs

	# Add here commands to install the package into debian/osso-games-startup.
	$(MAKE) install DESTDIR=$(CURDIR)/debian/tmp

ifeq "$(strip $(LAUNCHER))" "yes"
	mv $(CURDIR)/debian/tmp/usr/bin/osso_games_startup \
	   $(CURDIR)/debian/tmp/usr/bin/osso_games_startup.launch

	for i in mahjong lmarbles chess; do \
		ln -s /usr/bin/osso_games_startup.launch \
		   $(CURDIR)/debian/tmp/usr/bin/$${i}_startup.launch; \
		sed -e 's/osso_games_startup --name osso_'$${i}'/'$${i}'_startup/' < $(CURDIR)/debian/tmp/usr/share/dbus-1/services/com.nokia.osso_$${i}_startup.service > $(CURDIR)/debian/tmp/usr/share/dbus-1/services/com.nokia.osso_$${i}_startup.service.new; \
		mv $(CURDIR)/debian/tmp/usr/share/dbus-1/services/com.nokia.osso_$${i}_startup.service.new $(CURDIR)/debian/tmp/usr/share/dbus-1/services/com.nokia.osso_$${i}_startup.service; \
		ln -s /usr/bin/maemo-invoker \
			$(CURDIR)/debian/tmp/usr/bin/$${i}_startup; \
	done
	
	ln -s /usr/bin/osso_games_startup.launch \
	 $(CURDIR)/debian/tmp/usr/bin/maemoblocks_startup.launch; \
	sed -e 's/osso_games_startup --name maemoblocks/maemoblocks_startup/' < $(CURDIR)/debian/tmp/usr/share/dbus-1/services/br.org.maemoblocks_startup.service > $(CURDIR)/debian/tmp/usr/share/dbus-1/services/br.org.maemoblocks_startup.service.new; \
	mv $(CURDIR)/debian/tmp/usr/share/dbus-1/services/br.org.maemoblocks_startup.service.new $(CURDIR)/debian/tmp/usr/share/dbus-1/services/br.org.maemoblocks_startup.service; \
	ln -s /usr/bin/maemo-invoker \
	 $(CURDIR)/debian/tmp/usr/bin/maemoblocks_startup;
	
	ln -s /usr/bin/maemo-invoker $(CURDIR)/debian/tmp/usr/bin/osso_games_startup; 
endif

	# Install locale stuff
#	mkdir -p $(CURDIR)/debian/tmp/usr/share/osso/l10n/osso-games-startup
#	cp po/*.po po/porules.mk $(CURDIR)/debian/tmp/usr/share/osso/l10n/osso-games-startup/
#	cp -a po/debian $(CURDIR)/debian/tmp/usr/share/osso/l10n/osso-games-startup/
#	cp debian/osso-games-startup-l10n-{dede,engb,enus,eses,esmx,fifi,frfr,frca,itit,ptbr,ruru}.install $(CURDIR)/debian/tmp/usr/share/osso/l10n/osso-games-startup/debian/
#	cp debian/copyright $(CURDIR)/debian/tmp/usr/share/osso/l10n/osso-games-startup/debian/
#	sed -r -e "s/^([a-z0-9-]+) /\1-l10n-src /g" debian/changelog > $(CURDIR)/debian/tmp/usr/share/osso/l10n/osso-games-startup/debian/changelog




# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs ChangeLog
	dh_installdocs
	dh_installexamples
	dh_install -v --sourcedir=debian/tmp
#	dh_installmenu
#	dh_installdebconf	
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_installinit
#	dh_installcron
#	dh_installinfo
#	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
#	dh_perl
#	dh_python
#	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol -- $(LAUNCHER_DEPENDS)
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install
