## osso-games-startup 1.4.37-0

=== debian/changelog ===
osso-games-startup (1.4.37-0) unstable; urgency=low

  * Fixes: NB#66412 chess is crashing in memory full condition with powerdown
    mode
  * Fixes: NB#64561 Marbles is starting from the previous played state

 -- Qureshi Ahmad <Ahmad.Qureshi@nokia.com>  Tue, 28 Aug 2007 18:36:59 +0300

osso-games-startup (1.4.36-0) unstable; urgency=low

  * Fixes: NB#66990 Changed settings in paused state, not applied on starting new Marbles game,after continue.

 -- Qureshi Ahmad <Ahmad.Qureshi@nokia.com>  Tue, 28 Aug 2007 18:36:59 +0300

osso-games-startup (1.4.35-0) unstable; urgency=low

  * Fixes: NB#52124 Mahjong game getting closed on pressing home key
  * Fixes: NB#65707 "Game paused" displayed in main menu even if "Game over"
  * Fixes: NB#66658 Critical warning on startup
  * Fixes: NB#66664 Chess. Settings defined in paused state do not come into effect with new game

 -- Qureshi Ahmad <Ahmad.Qureshi@nokia.com>  Fri, 24 Aug 2007 13:14:47 +0300

osso-games-startup (1.4.34-1) unstable; urgency=low

  * drop dependency to osso-graphics-game-startup
 
 -- Qureshi Ahmad <Ahmad.Qureshi@nokia.com>  Mon, 27 Aug 2007 13:42:17 +0300

osso-games-startup (1.4.34-0) unstable; urgency=low

  * Fixes: NB#52126 Glib CRITICAL errors from Chessui
  * Fixes: NB#52970 osso-games-startup shall be compiled with -fPIC option

 -- Qureshi Ahmad <Ahmad.Qureshi@nokia.com>  Wed, 15 Aug 2007 18:07:18 +0300

osso-games-startup (1.4.33-0) unstable; urgency=low

  * Fixes: NB#65332 Not able to play game after resetting.
  * Removed alot of old debug prints 

 -- Qureshi Ahmad <Ahmad.Qureshi@nokia.com>  Fri, 27 Jul 2007 14:33:16 +0300

osso-games-startup (1.4.31-0) unstable; urgency=low

  * Fixes: NB#52124 Mahjong game getting closed on pressing home key
  * Add ctrl+q accelerator to quit item in menu
  * Fixes: NB#64385 Focus doesn't stay on 'Continue' when paused with full screen hardkey

 -- Qureshi Ahmad <Ahmad.Qureshi@nokia.com>  Fri, 27 Jul 2007 14:33:16 +0300

osso-games-startup (1.4.30-0) unstable; urgency=low

  * Fixes: NB#63416 Game is switching to startup screen automaticaliy.
  * Fixes: NB#63944 Marble game is switching to startup screen.

 -- Qureshi Ahmad <Ahmad.Qureshi@nokia.com>  Mon, 23 Jul 2007 12:14:29 +0300

osso-games-startup (1.4.29-0) unstable; urgency=low

  * Fixes: NB#53270 When a game is paused under memory full condition previous
    completed levels will not be saved.
  * Fixes: NB#52404 Start up screen doesnt appears on closing end game dialogue

 -- Qureshi Ahmad <Ahmad.Qureshi@nokia.com>  Mon, 16 Jul 2007 14:12:01 +0300

osso-games-startup (1.4.28-0) unstable; urgency=low

  * Fixes: NB#52123 Partial blanking of full screen mode in mahjong

 -- Qureshi Ahmad <Ahmad.Qureshi@nokia.com>  Thu,  5 Jul 2007 13:02:32 +0300

osso-games-startup (1.4.26-0) unstable; urgency=low

  * Fixes: NB#59086 Wrong number of moves shown when level is changed.
  * Fixes: NB#59085 Marbles cannot be launched using select hard key
  * Fixes: NB#58403 Game cannot be started using select hard key
  * Fixes: NB#52120 Info "changes will come into effect for next game " in full memory condition.
  * Fixes: NB#54888 saving saved chess game is not allowed

 -- Qureshi Ahmad <Ahmad.Qureshi@nokia.com>  Mon, 25 Jun 2007 11:05:49 +0300

osso-games-startup (1.4.24-1) unstable; urgency=low

  * Fixes: NB#51267 Fix warnings and code cleanup for osso-games-startup
  * Fixes: NB#50825 legal issues with osso-games-startup
  * libhildonhelp consolidation
  
 -- Qureshi Ahmad <Ahmad.Qureshi@nokia.com>  Wed, 13 Jun 2007 13:27:46 +0300

osso-games-startup (1.4.24-0) unstable; urgency=low

  * enabled building of debug package
  * cleanup: removed unused code
  
 -- Qureshi Ahmad <Ahmad.Qureshi@nokia.com>  Mon, 11 Jun 2007 09:27:46 +0300

osso-games-startup (1.4.11-0) unstable; urgency=low

  * First 1.1 release
  
 -- Qureshi Ahmad <Ahmad.Qureshi@nokia.com>  Mon, 12 Mar 2007 12:50:46 +0300
