=== debian/rules ===
--- 
+++ 
@@ -6,20 +6,21 @@
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
 
+DEBDIR = ..
 
 # These are used for cross-compiling and for saving the configure script
 # from having to guess our platform (since we know it already)
 DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
 DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
 
-
-CFLAGS = -Wall -g
+CFLAGS += -Wall -g
 
 ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
 	CFLAGS += -O0
 else
 	CFLAGS += -O2
 endif
+
 ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
 	INSTALL_PROGRAM += -s
 endif
@@ -29,8 +30,8 @@
 
 ifeq "$(strip $(LAUNCHER))" "yes"
 	LAUNCHER_DEPENDS = -Vlauncher:Depends="maemo-launcher"
-	LAUNCHER_CFLAGS = -shared
-	LAUNCHER_LDFLAGS = -shared -export-dynamic
+	LAUNCHER_CFLAGS = $(shell pkg-config --cflags maemo-launcher-app)
+	LAUNCHER_LDFLAGS = $(shell pkg-config --libs maemo-launcher-app) -export-dynamic
 endif
 
 config.status: configure
@@ -53,8 +54,6 @@
 	$(MAKE) \
 	  MAEMO_LAUNCHER_CFLAGS="$(LAUNCHER_CFLAGS)" \
 	  MAEMO_LAUNCHER_LDFLAGS="$(LAUNCHER_LDFLAGS)"
-
-	#/usr/bin/docbook-to-man debian/osso-games-startup.sgml > osso-games-startup.1
 
 	touch build-stamp
 
@@ -107,16 +106,6 @@
 	ln -s /usr/bin/maemo-invoker $(CURDIR)/debian/tmp/usr/bin/osso_games_startup; 
 endif
 
-	# Install locale stuff
-#	mkdir -p $(CURDIR)/debian/tmp/usr/share/osso/l10n/osso-games-startup
-#	cp po/*.po po/porules.mk $(CURDIR)/debian/tmp/usr/share/osso/l10n/osso-games-startup/
-#	cp -a po/debian $(CURDIR)/debian/tmp/usr/share/osso/l10n/osso-games-startup/
-#	cp debian/osso-games-startup-l10n-{dede,engb,enus,eses,esmx,fifi,frfr,frca,itit,ptbr,ruru}.install $(CURDIR)/debian/tmp/usr/share/osso/l10n/osso-games-startup/debian/
-#	cp debian/copyright $(CURDIR)/debian/tmp/usr/share/osso/l10n/osso-games-startup/debian/
-#	sed -r -e "s/^([a-z0-9-]+) /\1-l10n-src /g" debian/changelog > $(CURDIR)/debian/tmp/usr/share/osso/l10n/osso-games-startup/debian/changelog
-
-
-
 
 # Build architecture-independent files here.
 binary-indep: build install
@@ -126,32 +115,19 @@
 binary-arch: build install
 	dh_testdir
 	dh_testroot
-	dh_installchangelogs ChangeLog
+	dh_installchangelogs
 	dh_installdocs
 	dh_installexamples
 	dh_install -v --sourcedir=debian/tmp
-#	dh_installmenu
-#	dh_installdebconf	
-#	dh_installlogrotate
-#	dh_installemacsen
-#	dh_installpam
-#	dh_installmime
-#	dh_installinit
-#	dh_installcron
-#	dh_installinfo
-#	dh_installman
 	dh_link
-	dh_strip
+	dh_strip --dbg-package=osso-games-startup
 	dh_compress
 	dh_fixperms
-#	dh_perl
-#	dh_python
-#	dh_makeshlibs
 	dh_installdeb
 	dh_shlibdeps
 	dh_gencontrol -- $(LAUNCHER_DEPENDS)
 	dh_md5sums
-	dh_builddeb
+	dh_builddeb --destdir=$(DEBDIR)
 
 binary: binary-indep binary-arch
 .PHONY: build clean binary-indep binary-arch binary install
