## osso-games-startup 1.4.40-0

=== debian/changelog ===
osso-games-startup (1.4.40-0) unstable; urgency=low

  * Fixes involving around bug id seven zero six eight two =)
  * Fixes: NB#71028 save option is not dimmed for read only file.
  * Changed engine read timeout from 1000 to 500 milliseconds because startup
    takes quite a lot of time and removed some debug rows

 -- Qureshi Ahmad <Ahmad.Qureshi@nokia.com>  Tue, 25 Sep 2007 16:48:16 +0300

osso-games-startup (1.4.38-0) unstable; urgency=low

  * cleanup
  * Fixes: NB#52285 Games don't save state when bg-killed

 -- Qureshi Ahmad <Ahmad.Qureshi@nokia.com>  Mon, 17 Sep 2007 13:04:16 +0300
