=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: osso-games-startup
 Section: games
 Priority: optional
-Maintainer: Qi Ouyang <qi.ouyang@nokia.com>
+Maintainer: Ahmad Qureshi <ahmad.qureshi@nokia.com>
 Build-Depends: intltool, debhelper (>= 4.0.0),  libhildon1-dev, libgtk2.0-dev, libosso-gnomevfs2-dev, libglib2.0-dev, libdbus-glib-1-dev, libosso-dev, libgconf2-dev, libhildonhelp-dev, libhildonfm2-dev, libhildonmime-dev, maemo-launcher-dev
 Standards-Version: 3.6.0
