## osso-games-startup 1.4.47-0

=== debian/changelog ===
osso-games-startup (1.4.47-0) unstable; urgency=low

  * Fixes: NB#75272 missing dependencies

 -- Qureshi Ahmad <Ahmad.Qureshi@nokia.com>  Tue, 13 Nov 2007 11:05:43 +0200

osso-games-startup (1.4.45-0) unstable; urgency=low

  * Fixes: NB#72556 saved chess game is not correctly showing
  * Fixes: NB#73752 Crash when attempting to resume any bg-killed games while low on memory

 -- Qureshi Ahmad <Ahmad.Qureshi@nokia.com>  Mon,  5 Nov 2007 16:35:28 +0200
