=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
 
 Package: osso-games-startup
 Architecture: any
-Depends: osso-games-l10n-mr | osso-games-l10n-mr0, ${shlibs:Depends}, ${misc:Depends}, ${launcher:Depends}
+Depends: osso-games-l10n-mr | osso-games-l10n-mr0, ${shlibs:Depends}, ${misc:Depends}, ${launcher:Depends}, hildon-common-strings-l10n-mr | hildon-common-strings-l10n-mr0
 Conflicts: osso-chess-ui (<< 1.0.40-0)
 Description: Startup screen for OSSO Games
  The Startup screen to start and handle OSSO Games. Game screen is started
