## osso-games-startup 1.6.34-1%2b0m5

=== debian/changelog ===
osso-games-startup (1.6.34-1+0m5) unstable; urgency=low

  * This entry has been added by BIFH queue processor
    Suffix +0m5 added to package revision

 -- Hunalli Mallikarjun Channappa <mallikarjun.hunalli@nokia.com>  Fri, 21 Aug 2009 13:42:30 +0300

osso-games-startup (1.6.34-1) unstable; urgency=low

  *  Fixes: NB#133806 change games startup screen layout

 -- Maske Amish <amish.maske@nokia.com>  Wed, 19 Aug 2009 16:00:00 +0530

osso-games-startup (1.6.26-1) unstable; urgency=low

  *  Fixes: NB#117664 [PATCH] Update games menus to Hildon 2.2

 -- Maske Amish <amish.maske@nokia.com>  Wed, 24 Jun 2009 16:00:00 +0530

osso-games-startup (1.6.25-1) unstable; urgency=low

  *  Fixes: Hildon 2.2 menu changes

 -- Maske Amish <amish.maske@nokia.com>  Wed, 17 Jun 2009 16:00:00 +0530

osso-games-startup (1.6.24-1) unstable; urgency=low

  *  Fixes:updated the control file for libhildonfm2 version check

 -- Maske Amish <amish.maske@nokia.com>  Tue, 09 Jun 2009 16:00:00 +0530

osso-games-startup (1.6.20-1) unstable; urgency=low

  *  Fixes: NB#112539 Up button is shown a bit smaller in chess application

 -- Maske Amish <amish.maske@nokia.com>  Thu, 14 May 2009 16:00:00 +0530

osso-games-startup (1.6.15-2) unstable; urgency=low

  *  better handling  Handle Load method in callback.c

 -- Maske Amish <amish.maske@nokia.com>  Thu, 09 Apr 2009 15:00:00 +0530

osso-games-startup (1.6.15-1) unstable; urgency=low

  * Fixes: NB#105069 file replace dialog is still visible after opening savec
    chess from file manger and also file replace dialog not displayed always

 -- Maske Amish <amish.maske@nokia.com>  Mon, 06 Apr 2009 15:00:00 +0530

osso-games-startup (1.6.14-1) unstable; urgency=low

  * Fixes: NB#87680 "Game not started yet" banner displayed while playing
    Marbles or Blocks Game

 -- Maske Amish <amish.maske@nokia.com>  Wed, 02 Apr 2009 20:00:00 +0530

osso-games-startup (1.6.13-1) unstable; urgency=low

  * Removed postinst file from game startup

 -- Maske Amish <amish.maske@nokia.com>  Fri, 20 Mar 2009 14:00:00 +0530

osso-games-startup (1.6.11-4) unstable; urgency=low

  * Removed dependency on libhildonhelp-dev package
  * Removed hildon-help from configure file

 -- Sandeep Sundaram <sandeep.sundaram@nokia.com>  Wed, 11 Mar 2009 14:00:00 +0530

osso-games-startup (1.6.11-3) unstable; urgency=low

  * Removed dependency on libhildonhelp-dev package

 -- Sandeep Sundaram <sandeep.sundaram@nokia.com>  Wed, 11 Mar 2009 12:00:00 +0530

osso-games-startup (1.6.11-2) unstable; urgency=low

  * Fixes: NB#94754 Device hangs with mahjong application  in protos B1.1 & B2

 -- Sandeep Sundaram <sandeep.sundaram@nokia.com>  Tue, 10 Mar 2009 22:00:00 +0530

osso-games-startup (1.6.11-1) unstable; urgency=low

  * In chess, when trying to save a game using save and save
    as options :home/user/mydocs/games" string is displayed but game is notsaved

 -- Sandeep Sundaram <sandeep.sundaram@nokia.com>  Tue, 10 Mar 2009 10:00:00 +0530

osso-games-startup (1.6.08-1) unstable; urgency=low

  * changed code to use new Hildon APIs

 -- Sandeep Sundaram <sandeep.sundaram@nokia.com>  Thu, 12 Feb 2009 10:00:00 +0530

osso-games-startup (1.6.04-1) unstable; urgency=low

  * changed rules file to include maemo-invoker with application

 -- Sandeep Sundaram <sandeep.sundaram@nokia.com>  Mon, 19 Jan 2009 18:00:00 +0530

osso-games-startup (1.5.51-1) unstable; urgency=low

  * Changed icons logical names and changed maemo-launcher

 -- Sandeep Sundaram <sandeep.sundaram@nokia.com>  Mon, 8 Dec 2008 14:00:00 +0530

osso-games-startup (1.5.45-2) unstable; urgency=low

  * Fixes: NB#90627 Close option should neot be active in application menu in
    all games

 -- Sandeep Sundaram <sandeep.sundaram@nokia.com>  Wed, 5 Nov 2008 14:00:00 +0530

osso-games-startup (1.5.45-1) unstable; urgency=low

  * Removal of close/Ctrl Q menu item from all the four games

 -- Sandeep Sundaram <sandeep.sundaram@nokia.com>  Wed, 5 Nov 2008 14:00:00 +0530

osso-games-startup (1.5.37-1) unstable; urgency=low

  * Code compiled on fremantle SDK

 -- Sandeep Sundaram <sandeep.sundaram@nokia.com>  Fri, 5 Sep 2008 14:00:00 +0530

osso-games-startup (1.5.18-0) unstable; urgency=low

  * Fixes: NB#83817 Mahjong is hanging after performing below mentioned steps.

 -- Qureshi Ahmad <Ahmad.Qureshi@nokia.com>  Mon, 28 Apr 2008 15:55:23 +0300

osso-games-startup (1.5.15-0) unstable; urgency=low

  * Fixes: NB#83005 Chess hangs if an unsupported file is opened with
    chess application.

 -- Qureshi Ahmad <Ahmad.Qureshi@nokia.com>  Fri, 04 Apr 2008 17:15:14 +0300

osso-games-startup (1.5.14-0) unstable; urgency=low

  * Fixes: NB#83024 Entire path displayed when file opened with Mahjongg

 -- Qureshi Ahmad <Ahmad.Qureshi@nokia.com>  Fri, 28 Mar 2008 15:35:03 +0100

osso-games-startup (1.5.12-0) unstable; urgency=low

  * Fixes: NB#77044 Marbles hanging on pressing home key 

 -- Qureshi Ahmad <Ahmad.Qureshi@nokia.com>  Fri, 14 Mar 2008 15:35:03 +0100

osso-games-startup (1.5.09-0) unstable; urgency=low

  * Fixes: NB#79775 Device hangs if blocks game is selected while playing the blocks game in the background

 -- Qureshi Ahmad <Ahmad.Qureshi@nokia.com>  Fri, 22 Feb 2008 15:48:35 +0100

osso-games-startup (1.5.04-0) unstable; urgency=low

  * Fixes: NB#78561 'continue' button is not getting highlighted
  * Fixes: NB#78505 played steps are going back
  * Fixes: NB#77258 the saved chess name is disappearring
  * Fixes: NB#78571 title is disappearing after pressing full screen HW key
  * Fixes: NB#77210 Continue button is getting disabled.

 -- Qureshi Ahmad <Ahmad.Qureshi@nokia.com>  Wed,  9 Jan 2008 14:20:56 +0200

osso-games-startup (1.4.49-0) unstable; urgency=low

  * Fixes: NB#77219 Unusual behaviour of Blocks while forcefully opening a text file with Blocks application
  * Fixes: NB#77283 menu items are not dimmed

 -- Qureshi Ahmad <Ahmad.Qureshi@nokia.com>  Fri, 30 Nov 2007 15:32:19 +0200
