## osso-games-startup 1.6.40-1%2b0m5

=== debian/changelog ===
osso-games-startup (1.6.40-1+0m5) unstable; urgency=low

  * This entry has been added by BIFH queue processor
    Suffix +0m5 added to package revision

 -- Hunalli Mallikarjun Channappa <mallikarjun.hunalli@nokia.com>  Wed, 30 Sep 2009 16:57:59 +0300

osso-games-startup (1.6.40-1) unstable; urgency=low

  *  Fixes: NB#139936 hildon_gtk_window_take_screenshot doesn't take a
    screenshot

 -- Maske Amish <amish.maske@nokia.com>  Wed, 30 Sep 2009 16:00:00 +0530
