## osso-games-startup 1.7.49-1+0m5

=== debian/changelog ===
osso-games-startup (1.7.49-1+0m5) unstable; urgency=low

  * This entry has been added by BIFH queue processor
    Suffix +0m5 added to package revision

 -- Aravind Venkata <ext-aravind.taduturi@nokia.com>  Fri, 11 Dec 2009 13:14:20 +0200

osso-games-startup (1.7.49-1) unstable; urgency=low

  *  Fixes: NB#133869 chess are not closing once restore is started from backup if
     any dialog is opened

 -- Maske Amish <amish.maske@nokia.com>  Tue, 01 Dec 2009 15:37:00 +0530
